# Generated by Django 4.1a1 on 2022-05-24 14:55

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0012_rename_user_and_account_userandaccount"),
    ]

    operations = [
        migrations.CreateModel(
            name="Token",
            fields=[
                ("token", models.CharField(max_length=255, primary_key=True, serialize=False)),
                ("revoked", models.BooleanField(default=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="refresh_tokens", to="app.tguser"
                    ),
                ),
            ],
        ),
    ]
